/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import java.util.List;
import java.awt.Canvas;
import javax.swing.JTabbedPane;

/**
 *
 * @author Emanuelle Passos
 */
public class RegistrationFormPanel extends javax.swing.JPanel {

    /**
     * Creates new form ProfessionalView
     */
    public RegistrationFormPanel() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        jpProfessional = new javax.swing.JPanel();
        jPanel11 = new javax.swing.JPanel();
        bSearchProfessional = new javax.swing.JButton();
        bCreateProfessional = new javax.swing.JButton();
        bDeleteProfessional = new javax.swing.JButton();
        bUpdateProfessional = new javax.swing.JButton();
        bLastProfessional = new javax.swing.JButton();
        bFirstProfessional = new javax.swing.JButton();
        bPreviousProfessional = new javax.swing.JButton();
        bNextProfessional = new javax.swing.JButton();
        jLabel25 = new javax.swing.JLabel();
        jLabel47 = new javax.swing.JLabel();
        tfNidcProfessional = new javax.swing.JTextField();
        jLabel48 = new javax.swing.JLabel();
        tfFullnameProfessional = new javax.swing.JTextField();
        jLabel50 = new javax.swing.JLabel();
        tfBirthdayProfessional = new javax.swing.JTextField();
        jLabel51 = new javax.swing.JLabel();
        tfPhoneProfessional = new javax.swing.JTextField();
        jLabel52 = new javax.swing.JLabel();
        jLabel53 = new javax.swing.JLabel();
        tfOccupationalProfessional = new javax.swing.JTextField();
        bCancelProfessional = new javax.swing.JButton();
        bOkProfessional = new javax.swing.JButton();
        jpProfessionalPassword = new javax.swing.JPasswordField();
        jpResident = new javax.swing.JPanel();
        jPanel6 = new javax.swing.JPanel();
        bSearchResident = new javax.swing.JButton();
        bCreateResident = new javax.swing.JButton();
        bDeleteResident = new javax.swing.JButton();
        bUpdateResident = new javax.swing.JButton();
        bLastResident = new javax.swing.JButton();
        bFirstResident = new javax.swing.JButton();
        bPreviousResident = new javax.swing.JButton();
        bNextResident = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        tfIdResident = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        tfFullnameResident = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        tfBirthdayResident = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        tfGuardianNidcResident = new javax.swing.JTextField();
        bCancelResident = new javax.swing.JButton();
        bOkResident = new javax.swing.JButton();

        bSearchProfessional.setText("Search");
        bSearchProfessional.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bSearchProfessionalActionPerformed(evt);
            }
        });

        bCreateProfessional.setText("Create");

        bDeleteProfessional.setText("Delete");

        bUpdateProfessional.setText("Update");

        bLastProfessional.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/go-last.png"))); // NOI18N
        bLastProfessional.setName("bLast"); // NOI18N
        bLastProfessional.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bLastProfessionalActionPerformed(evt);
            }
        });

        bFirstProfessional.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/go-first.png"))); // NOI18N
        bFirstProfessional.setName("bFirst"); // NOI18N
        bFirstProfessional.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bFirstProfessionalActionPerformed(evt);
            }
        });

        bPreviousProfessional.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/go-previous.png"))); // NOI18N
        bPreviousProfessional.setName("bPrevious"); // NOI18N
        bPreviousProfessional.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bPreviousProfessionalActionPerformed(evt);
            }
        });

        bNextProfessional.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/go-next.png"))); // NOI18N
        bNextProfessional.setName("bNext"); // NOI18N
        bNextProfessional.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bNextProfessionalActionPerformed(evt);
            }
        });

        jLabel25.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel25.setText("Professional Registration");

        jLabel47.setText("NIDC");

        tfNidcProfessional.setName("tfNidc"); // NOI18N

        jLabel48.setText("Fullname");

        tfFullnameProfessional.setName("tfFullname"); // NOI18N

        jLabel50.setText("Birthday");

        tfBirthdayProfessional.setName("tfBirthday"); // NOI18N
        tfBirthdayProfessional.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfBirthdayProfessionalActionPerformed(evt);
            }
        });

        jLabel51.setText("Telephone number");

        tfPhoneProfessional.setName("tfOccupational_area"); // NOI18N

        jLabel52.setText("Password");

        jLabel53.setText("Occupational area");

        bCancelProfessional.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/gtk-cancel.png"))); // NOI18N
        bCancelProfessional.setName("bCancel"); // NOI18N
        bCancelProfessional.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bCancelProfessionalActionPerformed(evt);
            }
        });

        bOkProfessional.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/emblem-default.png"))); // NOI18N
        bOkProfessional.setName("bOk"); // NOI18N
        bOkProfessional.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bOkProfessionalActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel11Layout = new javax.swing.GroupLayout(jPanel11);
        jPanel11.setLayout(jPanel11Layout);
        jPanel11Layout.setHorizontalGroup(
            jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel11Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel11Layout.createSequentialGroup()
                        .addGap(0, 52, Short.MAX_VALUE)
                        .addComponent(bFirstProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bPreviousProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(bNextProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bLastProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(115, 115, 115))
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel11Layout.createSequentialGroup()
                        .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel11Layout.createSequentialGroup()
                                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                                        .addComponent(jLabel51)
                                        .addComponent(jLabel53, javax.swing.GroupLayout.Alignment.LEADING))
                                    .addComponent(jLabel52))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(jpProfessionalPassword, javax.swing.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE)
                                    .addComponent(tfOccupationalProfessional)
                                    .addComponent(tfPhoneProfessional)))
                            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel11Layout.createSequentialGroup()
                                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel48)
                                    .addComponent(jLabel47)
                                    .addComponent(jLabel50))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                    .addComponent(tfFullnameProfessional, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 275, Short.MAX_VALUE)
                                    .addComponent(tfNidcProfessional, javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(tfBirthdayProfessional))))
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel11Layout.createSequentialGroup()
                .addGap(20, 20, 20)
                .addComponent(bSearchProfessional)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bCreateProfessional)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bDeleteProfessional)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bUpdateProfessional)
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(jPanel11Layout.createSequentialGroup()
                .addGap(106, 106, 106)
                .addComponent(jLabel25)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel11Layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(bCancelProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(bOkProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(83, 83, 83))
        );
        jPanel11Layout.setVerticalGroup(
            jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel11Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bSearchProfessional)
                    .addComponent(bCreateProfessional)
                    .addComponent(bDeleteProfessional)
                    .addComponent(bUpdateProfessional))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(bFirstProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bPreviousProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bNextProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bLastProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(16, 16, 16)
                .addComponent(jLabel25, javax.swing.GroupLayout.PREFERRED_SIZE, 21, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel47)
                    .addComponent(tfNidcProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel48)
                    .addComponent(tfFullnameProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel50)
                    .addComponent(tfBirthdayProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(tfPhoneProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel51))
                .addGap(13, 13, 13)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel53)
                    .addComponent(tfOccupationalProfessional, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(8, 8, 8)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jpProfessionalPassword, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel52))
                .addGap(18, 18, 18)
                .addGroup(jPanel11Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(bCancelProfessional)
                    .addComponent(bOkProfessional))
                .addGap(0, 11, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jpProfessionalLayout = new javax.swing.GroupLayout(jpProfessional);
        jpProfessional.setLayout(jpProfessionalLayout);
        jpProfessionalLayout.setHorizontalGroup(
            jpProfessionalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel11, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jpProfessionalLayout.setVerticalGroup(
            jpProfessionalLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpProfessionalLayout.createSequentialGroup()
                .addComponent(jPanel11, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Professional Registration", jpProfessional);

        bSearchResident.setText("Search");

        bCreateResident.setText("Create");

        bDeleteResident.setText("Delete");

        bUpdateResident.setText("Update");

        bLastResident.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/go-last.png"))); // NOI18N
        bLastResident.setName("bLast"); // NOI18N
        bLastResident.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bLastResidentActionPerformed(evt);
            }
        });

        bFirstResident.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/go-first.png"))); // NOI18N
        bFirstResident.setName("bFirst"); // NOI18N
        bFirstResident.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bFirstResidentActionPerformed(evt);
            }
        });

        bPreviousResident.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/go-previous.png"))); // NOI18N
        bPreviousResident.setName("bPrevious"); // NOI18N
        bPreviousResident.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bPreviousResidentActionPerformed(evt);
            }
        });

        bNextResident.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/go-next.png"))); // NOI18N
        bNextResident.setName("bNext"); // NOI18N
        bNextResident.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bNextResidentActionPerformed(evt);
            }
        });

        jLabel8.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel8.setText("Resident Registration");

        jLabel9.setText("NIDC");

        tfIdResident.setName("tfNidc"); // NOI18N

        jLabel10.setText("Fullname");

        tfFullnameResident.setName("tfFullname"); // NOI18N

        jLabel12.setText("Birthday");

        tfBirthdayResident.setName("tfBirthday"); // NOI18N
        tfBirthdayResident.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfBirthdayResidentActionPerformed(evt);
            }
        });

        jLabel15.setText("Guardian's NIDC");

        bCancelResident.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/gtk-cancel.png"))); // NOI18N
        bCancelResident.setName("bCancel"); // NOI18N
        bCancelResident.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bCancelResidentActionPerformed(evt);
            }
        });

        bOkResident.setIcon(new javax.swing.ImageIcon(getClass().getResource("/professionalclass_finalproject_ap2/emblem-default.png"))); // NOI18N
        bOkResident.setName("bOk"); // NOI18N
        bOkResident.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bOkResidentActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel6Layout = new javax.swing.GroupLayout(jPanel6);
        jPanel6.setLayout(jPanel6Layout);
        jPanel6Layout.setHorizontalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGap(8, 8, 8)
                        .addComponent(bSearchResident)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bCreateResident)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bDeleteResident)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bUpdateResident)
                        .addGap(0, 87, Short.MAX_VALUE))
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addGroup(javax.swing.GroupLayout.Alignment.LEADING, jPanel6Layout.createSequentialGroup()
                                .addComponent(jLabel15)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(tfGuardianNidcResident, javax.swing.GroupLayout.DEFAULT_SIZE, 233, Short.MAX_VALUE))
                            .addComponent(tfBirthdayResident, javax.swing.GroupLayout.PREFERRED_SIZE, 246, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel6Layout.createSequentialGroup()
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jLabel10)
                                    .addComponent(jLabel9)
                                    .addComponent(jLabel12))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                    .addComponent(tfIdResident, javax.swing.GroupLayout.DEFAULT_SIZE, 263, Short.MAX_VALUE)
                                    .addComponent(tfFullnameResident))))
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel6Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(bCancelResident, javax.swing.GroupLayout.PREFERRED_SIZE, 40, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(bOkResident, javax.swing.GroupLayout.PREFERRED_SIZE, 42, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(67, 67, 67))
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGap(106, 106, 106)
                        .addComponent(jLabel8))
                    .addGroup(jPanel6Layout.createSequentialGroup()
                        .addGap(56, 56, 56)
                        .addComponent(bFirstResident, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bPreviousResident, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(bNextResident, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bLastResident, javax.swing.GroupLayout.PREFERRED_SIZE, 46, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel6Layout.setVerticalGroup(
            jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel6Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bSearchResident)
                    .addComponent(bCreateResident)
                    .addComponent(bDeleteResident)
                    .addComponent(bUpdateResident))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(bPreviousResident, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bNextResident, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bLastResident, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bFirstResident, javax.swing.GroupLayout.PREFERRED_SIZE, 31, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(16, 16, 16)
                .addComponent(jLabel8, javax.swing.GroupLayout.PREFERRED_SIZE, 21, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel9)
                    .addComponent(tfIdResident, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel10)
                    .addComponent(tfFullnameResident, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel12)
                    .addComponent(tfBirthdayResident, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(tfGuardianNidcResident, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel15))
                .addGap(29, 29, 29)
                .addGroup(jPanel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(bCancelResident)
                    .addComponent(bOkResident))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jpResidentLayout = new javax.swing.GroupLayout(jpResident);
        jpResident.setLayout(jpResidentLayout);
        jpResidentLayout.setHorizontalGroup(
            jpResidentLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpResidentLayout.createSequentialGroup()
                .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        jpResidentLayout.setVerticalGroup(
            jpResidentLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpResidentLayout.createSequentialGroup()
                .addComponent(jPanel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 50, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Resident Registration", jpResident);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(0, 0, 0)
                .addComponent(jTabbedPane1))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1, javax.swing.GroupLayout.Alignment.TRAILING)
        );
    }// </editor-fold>                        

    private void bOkResidentActionPerformed(java.awt.event.ActionEvent evt) {                                            
        // TODO add your handling code here:
    }                                           

    private void bCancelResidentActionPerformed(java.awt.event.ActionEvent evt) {                                                
        // TODO add your handling code here:
    }                                               

    private void tfBirthdayResidentActionPerformed(java.awt.event.ActionEvent evt) {                                                   
        // TODO add your handling code here:
    }                                                  

    private void bNextResidentActionPerformed(java.awt.event.ActionEvent evt) {                                              
        // TODO add your handling code here:
    }                                             

    private void bPreviousResidentActionPerformed(java.awt.event.ActionEvent evt) {                                                  
        // TODO add your handling code here:
    }                                                 

    private void bFirstResidentActionPerformed(java.awt.event.ActionEvent evt) {                                               
        // TODO add your handling code here:
    }                                              

    private void bLastResidentActionPerformed(java.awt.event.ActionEvent evt) {                                              
        // TODO add your handling code here:
    }                                             

    private void bOkProfessionalActionPerformed(java.awt.event.ActionEvent evt) {                                                
        // TODO add your handling code here:
    }                                               

    private void bCancelProfessionalActionPerformed(java.awt.event.ActionEvent evt) {                                                    
        // TODO add your handling code here:
    }                                                   

    private void tfBirthdayProfessionalActionPerformed(java.awt.event.ActionEvent evt) {                                                       
        // TODO add your handling code here:
    }                                                      

    private void bNextProfessionalActionPerformed(java.awt.event.ActionEvent evt) {                                                  
        // TODO add your handling code here:
    }                                                 

    private void bPreviousProfessionalActionPerformed(java.awt.event.ActionEvent evt) {                                                      
        // TODO add your handling code here:
    }                                                     

    private void bFirstProfessionalActionPerformed(java.awt.event.ActionEvent evt) {                                                   
        // TODO add your handling code here:
    }                                                  

    private void bLastProfessionalActionPerformed(java.awt.event.ActionEvent evt) {                                                  
        // TODO add your handling code here:
    }                                                 

    private void bSearchProfessionalActionPerformed(java.awt.event.ActionEvent evt) {                                                    
        // TODO add your handling code here:
    }                                                   


    // Variables declaration - do not modify                     
    private javax.swing.JButton bCancelProfessional;
    private javax.swing.JButton bCancelResident;
    private javax.swing.JButton bCreateProfessional;
    private javax.swing.JButton bCreateResident;
    private javax.swing.JButton bDeleteProfessional;
    private javax.swing.JButton bDeleteResident;
    private javax.swing.JButton bFirstProfessional;
    private javax.swing.JButton bFirstResident;
    private javax.swing.JButton bLastProfessional;
    private javax.swing.JButton bLastResident;
    private javax.swing.JButton bNextProfessional;
    private javax.swing.JButton bNextResident;
    private javax.swing.JButton bOkProfessional;
    private javax.swing.JButton bOkResident;
    private javax.swing.JButton bPreviousProfessional;
    private javax.swing.JButton bPreviousResident;
    private javax.swing.JButton bSearchProfessional;
    private javax.swing.JButton bSearchResident;
    private javax.swing.JButton bUpdateProfessional;
    private javax.swing.JButton bUpdateResident;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel47;
    private javax.swing.JLabel jLabel48;
    private javax.swing.JLabel jLabel50;
    private javax.swing.JLabel jLabel51;
    private javax.swing.JLabel jLabel52;
    private javax.swing.JLabel jLabel53;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel11;
    private javax.swing.JPanel jPanel6;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JPanel jpProfessional;
    public javax.swing.JPasswordField jpProfessionalPassword;
    private javax.swing.JPanel jpResident;
    private javax.swing.JTextField tfBirthdayProfessional;
    private javax.swing.JTextField tfBirthdayResident;
    public javax.swing.JTextField tfFullnameProfessional;
    private javax.swing.JTextField tfFullnameResident;
    private javax.swing.JTextField tfGuardianNidcResident;
    private javax.swing.JTextField tfIdResident;
    private javax.swing.JTextField tfNidcProfessional;
    private javax.swing.JTextField tfOccupationalProfessional;
    private javax.swing.JTextField tfPhoneProfessional;
    // End of variables declaration                   

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie bCancelProfessional*/
    public JButton getBCancelProfessional(){
        return this.bCancelProfessional;
    }//end method getBCancelProfessional

    /**SET Method Propertie bCancelProfessional*/
    public void setBCancelProfessional(JButton bCancelProfessional){
        this.bCancelProfessional = bCancelProfessional;
    }//end method setBCancelProfessional

    /**GET Method Propertie bCancelResident*/
    public JButton getBCancelResident(){
        return this.bCancelResident;
    }//end method getBCancelResident

    /**SET Method Propertie bCancelResident*/
    public void setBCancelResident(JButton bCancelResident){
        this.bCancelResident = bCancelResident;
    }//end method setBCancelResident

    /**GET Method Propertie bCreateProfessional*/
    public JButton getBCreateProfessional(){
        return this.bCreateProfessional;
    }//end method getBCreateProfessional

    /**SET Method Propertie bCreateProfessional*/
    public void setBCreateProfessional(JButton bCreateProfessional){
        this.bCreateProfessional = bCreateProfessional;
    }//end method setBCreateProfessional

    /**GET Method Propertie bCreateResident*/
    public JButton getBCreateResident(){
        return this.bCreateResident;
    }//end method getBCreateResident

    /**SET Method Propertie bCreateResident*/
    public void setBCreateResident(JButton bCreateResident){
        this.bCreateResident = bCreateResident;
    }//end method setBCreateResident

    /**GET Method Propertie bDeleteProfessional*/
    public JButton getBDeleteProfessional(){
        return this.bDeleteProfessional;
    }//end method getBDeleteProfessional

    /**SET Method Propertie bDeleteProfessional*/
    public void setBDeleteProfessional(JButton bDeleteProfessional){
        this.bDeleteProfessional = bDeleteProfessional;
    }//end method setBDeleteProfessional

    /**GET Method Propertie bDeleteResident*/
    public JButton getBDeleteResident(){
        return this.bDeleteResident;
    }//end method getBDeleteResident

    /**SET Method Propertie bDeleteResident*/
    public void setBDeleteResident(JButton bDeleteResident){
        this.bDeleteResident = bDeleteResident;
    }//end method setBDeleteResident

    /**GET Method Propertie bFirstProfessional*/
    public JButton getBFirstProfessional(){
        return this.bFirstProfessional;
    }//end method getBFirstProfessional

    /**SET Method Propertie bFirstProfessional*/
    public void setBFirstProfessional(JButton bFirstProfessional){
        this.bFirstProfessional = bFirstProfessional;
    }//end method setBFirstProfessional

    /**GET Method Propertie bFirstResident*/
    public JButton getBFirstResident(){
        return this.bFirstResident;
    }//end method getBFirstResident

    /**SET Method Propertie bFirstResident*/
    public void setBFirstResident(JButton bFirstResident){
        this.bFirstResident = bFirstResident;
    }//end method setBFirstResident

    /**GET Method Propertie bLastProfessional*/
    public JButton getBLastProfessional(){
        return this.bLastProfessional;
    }//end method getBLastProfessional

    /**SET Method Propertie bLastProfessional*/
    public void setBLastProfessional(JButton bLastProfessional){
        this.bLastProfessional = bLastProfessional;
    }//end method setBLastProfessional

    /**GET Method Propertie bLastResident*/
    public JButton getBLastResident(){
        return this.bLastResident;
    }//end method getBLastResident

    /**SET Method Propertie bLastResident*/
    public void setBLastResident(JButton bLastResident){
        this.bLastResident = bLastResident;
    }//end method setBLastResident

    /**GET Method Propertie bNextProfessional*/
    public JButton getBNextProfessional(){
        return this.bNextProfessional;
    }//end method getBNextProfessional

    /**SET Method Propertie bNextProfessional*/
    public void setBNextProfessional(JButton bNextProfessional){
        this.bNextProfessional = bNextProfessional;
    }//end method setBNextProfessional

    /**GET Method Propertie bNextResident*/
    public JButton getBNextResident(){
        return this.bNextResident;
    }//end method getBNextResident

    /**SET Method Propertie bNextResident*/
    public void setBNextResident(JButton bNextResident){
        this.bNextResident = bNextResident;
    }//end method setBNextResident

    /**GET Method Propertie bOkProfessional*/
    public JButton getBOkProfessional(){
        return this.bOkProfessional;
    }//end method getBOkProfessional

    /**SET Method Propertie bOkProfessional*/
    public void setBOkProfessional(JButton bOkProfessional){
        this.bOkProfessional = bOkProfessional;
    }//end method setBOkProfessional

    /**GET Method Propertie bOkResident*/
    public JButton getBOkResident(){
        return this.bOkResident;
    }//end method getBOkResident

    /**SET Method Propertie bOkResident*/
    public void setBOkResident(JButton bOkResident){
        this.bOkResident = bOkResident;
    }//end method setBOkResident

    /**GET Method Propertie bPreviousProfessional*/
    public JButton getBPreviousProfessional(){
        return this.bPreviousProfessional;
    }//end method getBPreviousProfessional

    /**SET Method Propertie bPreviousProfessional*/
    public void setBPreviousProfessional(JButton bPreviousProfessional){
        this.bPreviousProfessional = bPreviousProfessional;
    }//end method setBPreviousProfessional

    /**GET Method Propertie bPreviousResident*/
    public JButton getBPreviousResident(){
        return this.bPreviousResident;
    }//end method getBPreviousResident

    /**SET Method Propertie bPreviousResident*/
    public void setBPreviousResident(JButton bPreviousResident){
        this.bPreviousResident = bPreviousResident;
    }//end method setBPreviousResident

    /**GET Method Propertie bSearchProfessional*/
    public JButton getBSearchProfessional(){
        return this.bSearchProfessional;
    }//end method getBSearchProfessional

    /**SET Method Propertie bSearchProfessional*/
    public void setBSearchProfessional(JButton bSearchProfessional){
        this.bSearchProfessional = bSearchProfessional;
    }//end method setBSearchProfessional

    /**GET Method Propertie bSearchResident*/
    public JButton getBSearchResident(){
        return this.bSearchResident;
    }//end method getBSearchResident

    /**SET Method Propertie bSearchResident*/
    public void setBSearchResident(JButton bSearchResident){
        this.bSearchResident = bSearchResident;
    }//end method setBSearchResident

    /**GET Method Propertie bUpdateProfessional*/
    public JButton getBUpdateProfessional(){
        return this.bUpdateProfessional;
    }//end method getBUpdateProfessional

    /**SET Method Propertie bUpdateProfessional*/
    public void setBUpdateProfessional(JButton bUpdateProfessional){
        this.bUpdateProfessional = bUpdateProfessional;
    }//end method setBUpdateProfessional

    /**GET Method Propertie bUpdateResident*/
    public JButton getBUpdateResident(){
        return this.bUpdateResident;
    }//end method getBUpdateResident

    /**SET Method Propertie bUpdateResident*/
    public void setBUpdateResident(JButton bUpdateResident){
        this.bUpdateResident = bUpdateResident;
    }//end method setBUpdateResident

    /**GET Method Propertie jLabel10*/
    public JLabel getJLabel10(){
        return this.jLabel10;
    }//end method getJLabel10

    /**SET Method Propertie jLabel10*/
    public void setJLabel10(JLabel jLabel10){
        this.jLabel10 = jLabel10;
    }//end method setJLabel10

    /**GET Method Propertie jLabel12*/
    public JLabel getJLabel12(){
        return this.jLabel12;
    }//end method getJLabel12

    /**SET Method Propertie jLabel12*/
    public void setJLabel12(JLabel jLabel12){
        this.jLabel12 = jLabel12;
    }//end method setJLabel12

    /**GET Method Propertie jLabel15*/
    public JLabel getJLabel15(){
        return this.jLabel15;
    }//end method getJLabel15

    /**SET Method Propertie jLabel15*/
    public void setJLabel15(JLabel jLabel15){
        this.jLabel15 = jLabel15;
    }//end method setJLabel15

    /**GET Method Propertie jLabel25*/
    public JLabel getJLabel25(){
        return this.jLabel25;
    }//end method getJLabel25

    /**SET Method Propertie jLabel25*/
    public void setJLabel25(JLabel jLabel25){
        this.jLabel25 = jLabel25;
    }//end method setJLabel25

    /**GET Method Propertie jLabel47*/
    public JLabel getJLabel47(){
        return this.jLabel47;
    }//end method getJLabel47

    /**SET Method Propertie jLabel47*/
    public void setJLabel47(JLabel jLabel47){
        this.jLabel47 = jLabel47;
    }//end method setJLabel47

    /**GET Method Propertie jLabel48*/
    public JLabel getJLabel48(){
        return this.jLabel48;
    }//end method getJLabel48

    /**SET Method Propertie jLabel48*/
    public void setJLabel48(JLabel jLabel48){
        this.jLabel48 = jLabel48;
    }//end method setJLabel48

    /**GET Method Propertie jLabel50*/
    public JLabel getJLabel50(){
        return this.jLabel50;
    }//end method getJLabel50

    /**SET Method Propertie jLabel50*/
    public void setJLabel50(JLabel jLabel50){
        this.jLabel50 = jLabel50;
    }//end method setJLabel50

    /**GET Method Propertie jLabel51*/
    public JLabel getJLabel51(){
        return this.jLabel51;
    }//end method getJLabel51

    /**SET Method Propertie jLabel51*/
    public void setJLabel51(JLabel jLabel51){
        this.jLabel51 = jLabel51;
    }//end method setJLabel51

    /**GET Method Propertie jLabel52*/
    public JLabel getJLabel52(){
        return this.jLabel52;
    }//end method getJLabel52

    /**SET Method Propertie jLabel52*/
    public void setJLabel52(JLabel jLabel52){
        this.jLabel52 = jLabel52;
    }//end method setJLabel52

    /**GET Method Propertie jLabel53*/
    public JLabel getJLabel53(){
        return this.jLabel53;
    }//end method getJLabel53

    /**SET Method Propertie jLabel53*/
    public void setJLabel53(JLabel jLabel53){
        this.jLabel53 = jLabel53;
    }//end method setJLabel53

    /**GET Method Propertie jLabel8*/
    public JLabel getJLabel8(){
        return this.jLabel8;
    }//end method getJLabel8

    /**SET Method Propertie jLabel8*/
    public void setJLabel8(JLabel jLabel8){
        this.jLabel8 = jLabel8;
    }//end method setJLabel8

    /**GET Method Propertie jLabel9*/
    public JLabel getJLabel9(){
        return this.jLabel9;
    }//end method getJLabel9

    /**SET Method Propertie jLabel9*/
    public void setJLabel9(JLabel jLabel9){
        this.jLabel9 = jLabel9;
    }//end method setJLabel9

    /**GET Method Propertie jPanel11*/
    public JPanel getJPanel11(){
        return this.jPanel11;
    }//end method getJPanel11

    /**SET Method Propertie jPanel11*/
    public void setJPanel11(JPanel jPanel11){
        this.jPanel11 = jPanel11;
    }//end method setJPanel11

    /**GET Method Propertie jPanel6*/
    public JPanel getJPanel6(){
        return this.jPanel6;
    }//end method getJPanel6

    /**SET Method Propertie jPanel6*/
    public void setJPanel6(JPanel jPanel6){
        this.jPanel6 = jPanel6;
    }//end method setJPanel6

    /**GET Method Propertie jTabbedPane1*/
    public JTabbedPane getJTabbedPane1(){
        return this.jTabbedPane1;
    }//end method getJTabbedPane1

    /**SET Method Propertie jTabbedPane1*/
    public void setJTabbedPane1(JTabbedPane jTabbedPane1){
        this.jTabbedPane1 = jTabbedPane1;
    }//end method setJTabbedPane1

    /**GET Method Propertie jpProfessional*/
    public JPanel getJpProfessional(){
        return this.jpProfessional;
    }//end method getJpProfessional

    /**SET Method Propertie jpProfessional*/
    public void setJpProfessional(JPanel jpProfessional){
        this.jpProfessional = jpProfessional;
    }//end method setJpProfessional

    /**GET Method Propertie jpProfessionalPassword*/
    public JPasswordField getJpProfessionalPassword(){
        return this.jpProfessionalPassword;
    }//end method getJpProfessionalPassword

    /**SET Method Propertie jpProfessionalPassword*/
    public void setJpProfessionalPassword(JPasswordField jpProfessionalPassword){
        this.jpProfessionalPassword = jpProfessionalPassword;
    }//end method setJpProfessionalPassword

    /**GET Method Propertie jpResident*/
    public JPanel getJpResident(){
        return this.jpResident;
    }//end method getJpResident

    /**SET Method Propertie jpResident*/
    public void setJpResident(JPanel jpResident){
        this.jpResident = jpResident;
    }//end method setJpResident

    /**GET Method Propertie tfBirthdayProfessional*/
    public JTextField getTfBirthdayProfessional(){
        return this.tfBirthdayProfessional;
    }//end method getTfBirthdayProfessional

    /**SET Method Propertie tfBirthdayProfessional*/
    public void setTfBirthdayProfessional(JTextField tfBirthdayProfessional){
        this.tfBirthdayProfessional = tfBirthdayProfessional;
    }//end method setTfBirthdayProfessional

    /**GET Method Propertie tfBirthdayResident*/
    public JTextField getTfBirthdayResident(){
        return this.tfBirthdayResident;
    }//end method getTfBirthdayResident

    /**SET Method Propertie tfBirthdayResident*/
    public void setTfBirthdayResident(JTextField tfBirthdayResident){
        this.tfBirthdayResident = tfBirthdayResident;
    }//end method setTfBirthdayResident

    /**GET Method Propertie tfFullnameProfessional*/
    public JTextField getTfFullnameProfessional(){
        return this.tfFullnameProfessional;
    }//end method getTfFullnameProfessional

    /**SET Method Propertie tfFullnameProfessional*/
    public void setTfFullnameProfessional(JTextField tfFullnameProfessional){
        this.tfFullnameProfessional = tfFullnameProfessional;
    }//end method setTfFullnameProfessional

    /**GET Method Propertie tfFullnameResident*/
    public JTextField getTfFullnameResident(){
        return this.tfFullnameResident;
    }//end method getTfFullnameResident

    /**SET Method Propertie tfFullnameResident*/
    public void setTfFullnameResident(JTextField tfFullnameResident){
        this.tfFullnameResident = tfFullnameResident;
    }//end method setTfFullnameResident

    /**GET Method Propertie tfGuardianNidcResident*/
    public JTextField getTfGuardianNidcResident(){
        return this.tfGuardianNidcResident;
    }//end method getTfGuardianNidcResident

    /**SET Method Propertie tfGuardianNidcResident*/
    public void setTfGuardianNidcResident(JTextField tfGuardianNidcResident){
        this.tfGuardianNidcResident = tfGuardianNidcResident;
    }//end method setTfGuardianNidcResident

    /**GET Method Propertie tfIdResident*/
    public JTextField getTfIdResident(){
        return this.tfIdResident;
    }//end method getTfIdResident

    /**SET Method Propertie tfIdResident*/
    public void setTfIdResident(JTextField tfIdResident){
        this.tfIdResident = tfIdResident;
    }//end method setTfIdResident

    /**GET Method Propertie tfNidcProfessional*/
    public JTextField getTfNidcProfessional(){
        return this.tfNidcProfessional;
    }//end method getTfNidcProfessional

    /**SET Method Propertie tfNidcProfessional*/
    public void setTfNidcProfessional(JTextField tfNidcProfessional){
        this.tfNidcProfessional = tfNidcProfessional;
    }//end method setTfNidcProfessional

    /**GET Method Propertie tfOccupationalProfessional*/
    public JTextField getTfOccupationalProfessional(){
        return this.tfOccupationalProfessional;
    }//end method getTfOccupationalProfessional

    /**SET Method Propertie tfOccupationalProfessional*/
    public void setTfOccupationalProfessional(JTextField tfOccupationalProfessional){
        this.tfOccupationalProfessional = tfOccupationalProfessional;
    }//end method setTfOccupationalProfessional

    /**GET Method Propertie tfPhoneProfessional*/
    public JTextField getTfPhoneProfessional(){
        return this.tfPhoneProfessional;
    }//end method getTfPhoneProfessional

    /**SET Method Propertie tfPhoneProfessional*/
    public void setTfPhoneProfessional(JTextField tfPhoneProfessional){
        this.tfPhoneProfessional = tfPhoneProfessional;
    }//end method setTfPhoneProfessional

    //End GetterSetterExtension Source Code
//!
}
